#pragma once

#include <memory>

#include "beatmapcharacteristic.h"
#include "beatlevel.h"

namespace Beatsaber {

//fwd decl.
class BeatMap;

class BeatSet {
public:
	virtual ~BeatSet() {}

	virtual void printDebug() const = 0;

	virtual BeatmapCharacteristic::BeatmapCharacteristic getCharacteristic() const = 0;
	virtual std::shared_ptr<BeatMap> getBeatMap() const = 0;
};

}