#pragma once

#include <string>
#include <list>

#include "beatmap.h"

namespace Beatsaber {

const uint32_t STEAMGAMEID = 620980;
std::string findBeatsaberInstallation();

// when gamepath is empty, findBeatsaberInstallation is used to get a Path
// from the installation folder as many mas as possible are loaded
std::list<std::shared_ptr<BeatMap>> loadMapsfromInstallation(std::string gamePath = "");

}