#pragma once

#include <cstdint>

namespace Beatsaber {
	namespace Difficulty {
		enum Difficulty : std::uint8_t {
			NONE,
			EASY,
			NORMAL,
			HARD,
			EXPERT,
			EXPERTP,
		};

		const std::string difficultyName[] {"None", "Easy", "Normal", "Hard", "Expert", "ExpertPlus"};
		const std::uint8_t difficultyNameSize = sizeof(difficultyName)/sizeof(std::string);

		Difficulty getByString(const std::string& str);

		const std::string& toString(Difficulty d);
	}

}